Bug 1129906 - Create version page not behaving properly
Summary: Create version page not behaving properly
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI
Version: 3.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.5
Assignee: Alex Eng
QA Contact: Ding-Yi Chen
URL:
Whiteboard:
Depends On:
Blocks: 1119537
TreeView+ depends on / blocked
 
Reported: 2014-08-13 22:51 UTC by Alex Eng
Modified: 2015-01-26 23:27 UTC (History)
3 users (show)

Fixed In Version: 3.5.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-1935)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-26 23:27:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1140429 None None None Never

Internal Links: 1140429

Description Alex Eng 2014-08-13 22:51:50 UTC
Description of problem:
Create version page not behaving properly

Version-Release number of selected component (if applicable):
3.5

How reproducible:
Always

Issues:
1) Non maintainer can access to create version page (Security)
2) Check and uncheck "Copy from previous version" doesn't render the page properly.

Comment 1 Alex Eng 2014-08-13 22:53:09 UTC
Pull request:
https://github.com/zanata/zanata-server/pull/554

Comment 2 Ding-Yi Chen 2014-08-20 06:01:08 UTC
Tested with Zanata 3.5.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-1914)

1. is fixed.
2. Unchecking the previous version still don't give you the project-type select list.

Comment 4 Ding-Yi Chen 2014-08-21 01:02:29 UTC
Correction, I was testing on the wrong build.

VERIFIED with Zanata 3.5.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-1935)


Note You need to log in before you can comment on or make changes to this bug.